[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGetCheckboxStateEvent

Specifies an event handler signalled to get the state for a check box cell in a grid.

## Declaration

Source position: grids.pas line 1392

`type TGetCheckboxStateEvent = procedure(`
`Sender: TObject;`
`ACol: Integer;`
`ARow: Integer;`
`var Value: TCheckBoxState`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`ACol` |  | Column number for the cell.
`ARow` |  | Row number for the cell.
`Value` |  | Checkbox state retrieved for the cell.